## NAME

v.build.polylines - Build polylines from lines.
(GRASS Vector Program)

## SYNOPSIS

v.build.polylines
v.build.polylines help
v.build.polylines [-acoq ] inputname outputname type=name

## DESCRIPTION

v.build.polylines builds polylines from the lines in a binary vector file. It outputs the polylines in either binary or ASCII vector format, and if requested, copies the attribute and category files from the original file.

A line is a single straight line segment defined by one start node, one end node and no other nodes. A polyline is also defined by one start node, one end node and no other nodes, but is made of two or more consecutive straight line segments. The connections between the constituent line segments of a polyline do not appear as nodes in the vector map.

Polylines provide the most appropriate representation of curved lines when it is important that nodes serve to define topology rather than geometry. Curved lines are usually digitized as polylines, but these are sometimes broken into their constituent straight line segments during conversion from one data format to another. v.build.polylines can be used to rebuild such broken polylines.

## OPTIONS

The program can be run either non-interactively or interactively. To run v.build.polylines non-interactively, the user must specify input and output file names on the command line. The line type and flags are optional.

To run v.build.polylines interactively the user should simply type v.build.polylines on the command line, in which case the program will prompt for parameter values using the standard GRASS interface described in the manual entry for parser .

Flags:

-a
  Make the output file an ASCII vector map instead of a binary vector map.
-c
  Copy the attribute (`dig_att') and category (`dig_cats') files associated with the input file to new files with the output file name. You should set this flag if you wish to retain category information in the new binary file.
-o
  Silently overwrite the output file if it exists in the current mapset. When this flag is not set v.build.polylines will refuse to create the output file if a file of the same name exists in either the `dig' or the `dig_ascii' mapset elements.
-q
  Run (relatively) quietly. Specifically, do not provide information (including warnings) about each polyline.

Parameters:

inputname
  The name of a binary vector map layer containing lines (and possibly some polylines).
outputname
  The name of the ASCII vector map to be created in the dig_ascii mapset element.
typename
  The type of each new polyline can be set from the input map, or alternatively all new polylines can be bulk labeled as either lines, area edges, or points.
  Options: source, line, area, point.

## NOTES

For full functionality v.build.polylines requires v.support and v.in.ascii .

If the lines that make up a polyline are of different types, then v.build.polylines will set the type from the first constituent line. v.build.polylines will issue a warning unless the flag -q has been set. It is possible to keep a list of all such warnings by redirecting standard output to a file.

If the lines that make up a polyline have different attribute values then v.build.polylines will set the attribute value of the polyline to that of the last line (this is the behaviour of v.support , which is used to assign the attribute values). Any warnings issued by v.support will be visible unless the flag -q has been set.

v.build.polylines correctly handles input maps containing lines, area edges and points. Lines and area edges will be converted to polylines of the desired type. Areas are only guaranteed to be preserved if the constituent lines of the polylines that define them are all area edges in the input map. Points will remain points provided that type has been set to `source'. It is possible to convert lines and area edges to points or vice versa, but this is rarely useful.

Use v.import to convert an ASCII output map to a binary vector map.

## SEE ALSO

v.import, v.support, v.in.ascii, parser

## ACKNOWLEDGEMENTS

This program was written during the author's tenure of a Leverhulme Special Research Fellowship at University College London.

## AUTHOR

Mark Lake, Institute of Archaeology, University College London.

## BUGS

Please email mark.lake@ucl.ac.uk if you find any bugs.

Last changed: $Date: 2002/01/25 05:45:35 $